#! ruby -Ku
#-----------------------------------------------------------
# DarkHall Bootstrap - to add load paths
#
# Author:   Team D.H. <team.darkhall@gmail.com>
# License:  NYSL 0.9982 <http://www.kmonos.net/nysl/>
#           (unlike other files)
# URL:      http://wiz.morphball.net/darkhall/
#-----------------------------------------------------------

require 'pathname'

dir = Pathname.new(__FILE__).parent

begin
	require 'Win32API'
	$LOAD_PATH.unshift((dir + 'lib/win32').to_s)
	puts 'env = win32' if $VERBOSE
rescue LoadError
	$LOAD_PATH.unshift((dir + 'lib/linux').to_s)
	puts 'env = linux' if $VERBOSE
end

$LOAD_PATH.unshift((dir + 'lib/common').to_s)
